import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.StringTokenizer;
import java.util.Vector;
import javax.swing.JOptionPane;

/**
  Bank is a class that represents a financial institution.
  A bank has a list of customers.
 */
public class Bank
{  /**
      Constructs a bank with no customers.
   */
   public Bank()
   {  customers = new Vector();
   }
   
   /**
      Reads the customer numbers and pins from the customers.txt file.
      Creates a new customer for each line of the file and calls addCustomer to add them to the bank.
      @param filename the name of the customer file
   */
   public void readCustomers(String filename) 
      throws IOException
   {  BufferedReader in = new BufferedReader
         (new FileReader(filename));
       /* fill in code here */

         
         
         
         
         
         
         
         
         in.close();
   }
   
   /**
      Adds a customer to the bank.
      @param c the customer to add
   */
   public void addCustomer(Customer c)
   {  customers.add(c);
   }
   
   /** 
      Finds a customer in the bank.
      Searches the bank to see if any customer matches the account # and PIN.
      @param aNumber a customer number
      @param aPin a personal identification number
      @return the matching customer, or null if no customer 
      matches.  Show error message if customer not found.
   */
   public Customer findCustomer(int aNumber, int aPin)
   {  /* fill in code here to search for customer */
     	JOptionPane.showMessageDialog(null,"Can't find that Customer.");
      return null;
   }

   // Instance variable
   // A bank is a vector of customers
   private Vector customers;
   // This is the customer built from a record in the file
   private Customer ACustomer;
}
