/**
   Customer represents someone who keeps their money at a bank.
*/

public class Customer
{  /**
      Constructs a customer with a given number and PIN.
      Build two accounts for the customer, a checking account and a savings account.
      @param aNumber the customer number
      @param PIN the personal identification number
   */
   public Customer(int aNumber, int aPin)
   {  final int NumberOfAccounts = 2;   
      customerNumber = aNumber;
      pin = aPin;
      // initialize the array of accounts
      accounts = new BankAccount[NumberOfAccounts];
      accounts[CHECKING_ACCOUNT] = new BankAccount();
      accounts[SAVINGS_ACCOUNT] = new BankAccount();
   }
   
   /** 
      Tests if this customer matches a customer number 
      and PIN.
      @param aNumber a customer number
      @param aPin a personal identification number
      @return true if the customer number and PIN match
   */
   public boolean match(int aNumber, int aPin)
   {  return  /* fill in code here */ true;
   }
   
   /** 
      Gets an account of this customer.
      @param accountChoice one of Customer.CHECKING_ACCOUNT
      or Customer.SAVINGS_ACCOUNT
      @return the selected account, or null if accountChoice 
      not in the range of valid choices. 
   */
   public BankAccount getAccount(int accountChoice)
   {  return /* fill in code here */ null;
   }
   
   public static final int CHECKING_ACCOUNT = 0;
   public static final int SAVINGS_ACCOUNT = 1;
   
   private int customerNumber;
   private int pin;
   private BankAccount[] accounts;
}